ocfs2-tools (1.8.4-4+deb9u1) stretch; urgency=medium

  * Migrate from using rcS to standard runlevels (Closes: #876195)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 02 Oct 2017 22:28:27 +0200

ocfs2-tools (1.8.4-4) unstable; urgency=medium

  * Add fix for sysfs filename (Closes: #858623)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 27 Mar 2017 11:13:06 +0200

ocfs2-tools (1.8.4-3) unstable; urgency=medium

  * Fix debugfs segfault (Closes: #715810)
  * Fix mkfs segfault (Closes: #716105)
  * debian/tests: force fsck run
  * debian/tests: disable o2cb cluster after test
  * debian/tests: add pcmk cluster test
  * debian/tests: additional tunefs tests
  * Add lsb-base dependency to fix lintian error
  * debian/tests: add basic test for lxc
  * debian/tests: use temporary directory
  * debian/tests: prevent test from loading modules

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 21 Oct 2016 18:39:01 +0200

ocfs2-tools (1.8.4-2) unstable; urgency=medium

  * Drop suggests for deprecated ocfs2console package
  * Add watch file
  * Architecture changed to linux-any
  * Simplify install to catch new files, o2cb, o2cluster, o2info, and
    o2hbmonitor were missing in 1.8.4-1.
  * Move init scripts out of rcS (Closes: #796638)
  * Start storage services before ocfs2 (Closes: #723093)
  * debian/tests: o2cb service startup
  * Add global heartbeat support for virtio devices
  * Update Debian documentation

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 12 Jul 2016 22:26:31 +0200

ocfs2-tools (1.8.4-1) unstable; urgency=medium

  * New upstream release (Closes: #669366)
  * Drop deprecated ocfs2console package
  * Update dh_clean list
  * Update Standards-Version to 3.9.8
  * Update init scripts
  * Use debhelper 9
  * Update debian patches
  * Add libaio-dev dependency
  * Remove update-rc.d start/stop actions
  * Fix udev rule for creating /dev/misc/ocfs2_control
  * Update debian/control: maintainer and upstream info

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 10 Jun 2016 16:27:57 +0200

ocfs2-tools (1.6.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace python-support Build-Dep with dh-python (already ported to
    dh_python2) (Closes: #785983)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Aug 2015 13:20:27 -0700

ocfs2-tools (1.6.4-3) unstable; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} (Closes: #727261).
  * Fix FTBFS due to unknown type umode_t (Closes: #707437).
  * Remove ocfs2-tools-cman and ocfs2-tools-pacemaker as the required
    build dependencies are uninstallable (Closes: #685753).
  * Update Standards-Version to 3.9.4 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 15 Nov 2013 07:22:43 +0100

ocfs2-tools (1.6.4-2) unstable; urgency=low

  * Remove popen2-ignore-depreciation-warn.patch: it has the opposite effect,
    turning deprecation warnings into errors (Closes: #682517, LP: #923754).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 15 Aug 2012 09:31:09 +0200

ocfs2-tools (1.6.4-1) unstable; urgency=low

  * New upstream release.  Closes: #669023.
  * Add patch to accommodate pacemaker header changes.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #656649.
    - Polish (Michał Kułach).  Closes: #667945.
  * Convert to debhelper 7.
  * Update Standards-Version to 3.9.3 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 18 Apr 2012 09:16:18 +0200

ocfs2-tools (1.6.3-4) unstable; urgency=low

  * Fix FTBS with -Werror=format-security (Closes: #644064).
  * Update Standards-Version to 3.9.2 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 17 Oct 2011 08:29:00 +0200

ocfs2-tools (1.6.3-3) unstable; urgency=low

  * Replace Build-Depends on libopenais-dev by openais-dev (Closes: #640581).
  * Add patch to define missing PCMK_SERVICE_ID (from Ubuntu).
  * Fix o2cb and ocfs2 shutdown order (Closes: #638302, #516893).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 20 Sep 2011 15:55:56 +0200

ocfs2-tools (1.6.3-2) unstable; urgency=low

  * Fix FTBFS with ld --no-add-needed and --as-needed (Closes: #607057).
  * Update Brazilian Portuguese translations (Closes: #619610).
  * Ignore the depreciation warning that importing popen2 raises, causing
    ocfs2console to exit (from Ubuntu).
  * Remove Build-Depends on cluster-glue-dev, see #608275.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 25 Mar 2011 16:53:58 +0100

ocfs2-tools (1.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #598014).
  * Remove patches applied upstream:
    - gcc45-ftbfs.patch
  * Add a Build-Depends on cluster-glue-dev, see #608275.
  * Remove Build-Depends on libcluster-glue-dev and libxml2-dev, see: #586787.
  * Update Standards-Version to 3.9.1 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 Jan 2011 06:21:15 +0100

ocfs2-tools (1.4.4-3) unstable; urgency=low

  * Move ocfs2_controld.(cman|pcmk) to /usr/sbin (Closes: #587284).
  * Install /lib/udev/rules.d/51-ocfs2.rules (Closes: #587285).
  * Make ocfs2-tools-cman and ocfs2-tools-pacemaker depend on libdlm3, as
    libdlm_lt.so.3 is needed for userspace cluster stacks (Closes: #587287).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 28 Jun 2010 19:22:53 +0200

ocfs2-tools (1.4.4-2) unstable; urgency=low

  * Add Build-Depends on libxml2-dev due to #586787.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sat, 26 Jun 2010 09:19:07 +0200

ocfs2-tools (1.4.4-1) unstable; urgency=low

  * New upstream release (Closes: #586784).
  * Provide pacemaker support in ocfs2-tools-pacemaker (Closes: #586778).
  * Provide cman support in ocfs2-tools-cman.
  * Improve init scripts:
    - ocfs2: add $local_fs to Required-Start and Required-Stop.
    - o2cb, ocfs2: set Default-Start to S
    - o2cb, ocfs2: set Default-Stop to 0 6
    - o2cb: start before mountnfs.sh (Closes: #457803).
    - silence lintian init.d-script-possible-missing-stop warnings.
  * Add Build-Depends on autotools-dev to update config.guess and config.sub.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update Standards-Version to 3.8.4.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 24 Jun 2010 12:21:13 +0200

ocfs2-tools (1.4.3-2) unstable; urgency=low

  [ Jeremy Lainé ]
  * Make ocfs2-tools depend on psmisc. Closes: #574141
  * Fix FTBFS with gcc-4.5. Closes: #565100
  * Update Italian debconf template (Vincenzo Campanella). Closes: #575096

  [ Christian Perrier ]
  * Fix typo in debconf templates. Closes: #554894.
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #556137, #574681
    - Vietnamese (Clytie Siddall).  Closes: #574077
    - Portuguese (Pedro Ribeiro).  Closes: #574866

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 24 Mar 2010 07:27:24 +0100

ocfs2-tools (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Replace libreadline-dev Build-Depends by libreadline5-dev
    (Closes: #553819).
  * Update to Standards-Version 3.8.3.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 05 Nov 2009 07:59:29 +0100

ocfs2-tools (1.4.2-1) unstable; urgency=low

  * New upstream release (Closes: #535471).
  * Drop patch for limits.h, included upstream.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 06 Jul 2009 07:26:30 +0200

ocfs2-tools (1.4.1-2) unstable; urgency=low

  * Add ${misc:Depends} to ocfs2-tools-dev and ocfs2console.
  * Add patch to fix FTBS by including limits.h (Closes: #516265).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 23 Feb 2009 07:54:31 +0100

ocfs2-tools (1.4.1-1) unstable; urgency=medium

  * Take over maintainership, add Frederik Schüler to Uploaders.
  * New upstream release, fixes RC bug (Closes: #430378, #501151).
  * Acknowledge NMU (Closes: #428949).
  * Update default timeouts in templates and translation files.
  * Remove all patches as they have been merged upstream.
  * Do not install debian/mount.ocfs2.8, use upstream manpage.
  * Remove unused ocfs2console.manpages and ocfs2-tools.manpages.
  * Add o2image and its manpage to ocfs2-tools package.
  * Add package ocfs2-tools-dev to include development files.
  * Improve README.Debian with some setup instructions.
  * Create the /etc/ocfs2 directory.
  * Switch to CDBS.
  * Update Standards-Version to 3.8.0.
  * Remove obsolete debian/NEWS and debian/TODO files.
  * Add Homepage, Vcs-Svn and Vcs-Browser fields to debian/control.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 21 Nov 2008 17:58:51 +0100

ocfs2-tools (1.2.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues
  * Debconf translations:
    - Brazilian Portuguese. Closes: #485614
    - Swedish. Closes: #492257

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Sep 2008 09:15:00 +0200

ocfs2-tools (1.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues and an RC bug.
  * Fix FTBFS by commenting asm/page.h in mount.ocfs2/mount.ocfs2.h
    (debian/patches/200_ftbfs)
  * Debconf translations:
    - Dutch. Closes: #463445
    - German. Closes: #475317
    - Galician. Closes: #484151
    - Portuguese. Closes: #484155
    - Basque. Closes: #484179
    - Finnish. Closes: #484227

 -- Christian Perrier <bubulle@debian.org>  Mon, 02 Jun 2008 07:39:23 +0200

ocfs2-tools (1.2.4-1) unstable; urgency=low

  * The "Lazo rosa" release.
  * New upstream release.  This version was released on Apr 6th, 2007.  Main
    changes are:
    - Allow network timeout configuration.
    - Bug fixes.
    - offsetof(3) issues have been fixed, so patches/102_stddef.h is no longer
      relevant.
  * Added debconf support for O2CB_IDLE_TIMEOUT_MS, O2CB_KEEPALIVE_DELAY_MS
    and O2CB_RECONNECT_DELAY_MS in postinst, config and templates mainly from
    Ubuntu.
  * po/es.po: While at it, updated Spanish translation.
  * po/vi.po: Updated Vietnamese translation, thanks to Clytie Siddall
    (closes: #438451).
  * po/ru.po: Updated Russian translation, thanks to Yuri Kozlov (closes:
    #438633).
  * po/fr.po: Updated French translation.  Thanks to Jean-Baka
    Domelevo-Entfellner (closes: #440579).
  * po/cs.po: Updated Czech translation.  Thanks to Miroslav Kure (closes:
    #442903).
  * Added /etc/init.d/ocfs2 in order to mount and unmount OCFS2 volumes, that I
    simply missed on past releases.  This allows to unmount OCFS2 during a
    reboot and thus avoid a panic (closes: #416550).
  * debian/rules: Removed old code for quilt patching now that we include the
    Makefile from that package.
  * This version does not fail to build twice in a row (strange...).  Closes:
    #442692.

 -- David Martínez Moreno <ender@debian.org>  Tue, 18 Sep 2007 02:02:31 +0200

ocfs2-tools (1.2.3-1) unstable; urgency=low

  * New upstream release.  This version was released on Feb 2nd, 2007.  Main
    changes are:
    - Backup superblock support added.
    - Local mount support added (with kernel 2.6.20+).
    - Heartbeat thread's IO priority can now be set (with kernel 2.6.20+).
    - Bugs fixed in fsck, debugfs and console .
  * Removed parts of debian/NEWS no longer relevant.
  * Renamed debian/README to debian/README.Debian in order to be included by
    dh_installdocs.
  * Added short description to o2cb init script in order to clean a lintian
    warning.

 -- David Martínez Moreno <ender@debian.org>  Thu, 16 Aug 2007 02:41:22 +0200

ocfs2-tools (1.2.2-1) unstable; urgency=low

  * New upstream release.  This version was released on Oct 20th, 2006.  Main
    changes are:
    - tunefs.ocfs2: Volumes can be resized offline.
    - debugfs.ocfs2: Commands bmap, findpath, ncheck and decode added.
    - Fixed bug in o2cb_ctl when adding nodes (closes: #405353).
    - Fixed lots of bugs.
  * Removed ocfs2console/blkid/blkid_types.h, that slipped in 1.2.1-1.2.
  * Acknowledged NMUs (closes: #380879, #389916).
  * Added Dutch translation (thanks, cobaco).  Closes: #436863.
  * Merged 01-manpages-typos and some parts of 02-init-typos patches upstream.
  * debian/rules: Changed dh_install to --list-missing in order to ignore
    temporally the now installed headers.
  * debian/control: Replaced Source-Version with binary:Version.

 -- David Martínez Moreno <ender@debian.org>  Wed, 15 Aug 2007 02:46:28 +0200

ocfs2-tools (1.2.1-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * add patches/102_stddef.h to fix FTBFS (missing #include <stddef.h> to know
    about offsetof). closes: #428949.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 18 Jul 2007 17:37:23 +0200

ocfs2-tools (1.2.1-1.3) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Fix the spelling of "milliseconds" in debconf templates
  * Unmark a string for translation. Closes: #372520
  * Debconf templates translations:
    - Czech updated. Closes: #369582
    - French updated. Closes: #374335
    - Vietnamese added. Sent during the call for updates of the NMU campaign.
    - Swedish added. Sent during the call for updates of the NMU campaign.
    - German added. Sent during the call for updates of the NMU campaign.
    - Russian added. Sent during the call for updates of the NMU campaign.
    - Brazilian Portuguese added. Sent during the call for updates
      of the NMU campaign.
    - Fix the encoding of the Spanish translation..:-)

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Dec 2006 19:49:10 +0100

ocfs2-tools (1.2.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move dh_installdeb to after dh_pysupport, to make sure
    update-python-modules is indeed called in postinst. (Closes: #388529)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 28 Sep 2006 13:19:03 +0200

ocfs2-tools (1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380879).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 31 Aug 2006 13:45:20 +0200

ocfs2-tools (1.2.1-1) unstable; urgency=low

  * New upstream release (closes: #362204, #364549).  This release also fixes
    the double-free error that new glibc triggered, so closes: #358784 as
    well.
  * Added Czech debconf translation. Thanks, Miroslav Kure. Closes: #353372.
  * Added French debconf translation. Thanks, Julien Rosal. Closes: #354274.
  * Rewrote debconf templates, rendering above changes partly useless. Thanks
    to Thomas Huriaux for the time and the patch. Closes: #352505.
  * Updated Spanish translation.
  * debian/control:
    - Added libdevmapper-dev to Build-Depends, and bumped debhelper dependency
      to >= 5.
    - Bumped Standards-Version to 3.7.2.0.
  * Added ocfs2_faq.txt to docs.
  * debian/compat: Bumped debhelper compatibility to 5.
  * Added README.Debian.
  * Removed changes in init script, now it is near to the original one.  Many
    thanks to Joel Becker from Oracle for taking the time to explain it
    thoroughly.  The modular case works again, I have embraced the faith. :-)
    Closes: #363121.

 -- David Martínez Moreno <ender@debian.org>  Tue, 30 May 2006 00:38:27 +0200

ocfs2-tools (1.1.5-2) unstable; urgency=low

  * Removed by upstream request:
    - usr/sbin/find_hardlinks
    - usr/sbin/find_dup_extents
    - usr/sbin/find_inode_paths
    - usr/sbin/set_random_bits
    - usr/sbin/decode_lockres
    - usr/sbin/encode_lockres
    - usr/sbin/mark_journal_dirty
    These utilities are for OCFS2 development only, and may cause severe data
    loss, apart from little use for normal OCFS2 user.
  * debian/control: Added quilt to Build-Depends, and rewrite part of the
    build system in order to support patch and unpatch targets.
  * Created patches:
    - debian/patches/01-manpages-typos

 -- David Martínez Moreno <ender@debian.org>  Fri, 10 Feb 2006 02:53:40 +0100

ocfs2-tools (1.1.5-1) unstable; urgency=low

  * New upstream release (closes: #329699).
  * debian/control:
    - Bumped Standards-Version to 3.6.2.2.
    - Added python-gtk2 to ocfs2console Depends.
    - Added po-debconf to Build-Depends.
  * debian/copyright: Updated date and FSF's address.
  * fsck.ocfs2/fsck.ocfs2.8.in: Killed two birds in a row: fixed tytso's
    surname and removed another lintian error.
  * Added to ocfs2-tools.install:
    - usr/sbin/find_hardlinks
    - usr/sbin/find_dup_extents
    - usr/sbin/find_inode_paths
    - usr/sbin/set_random_bits
    - usr/sbin/decode_lockres
    - usr/sbin/encode_lockres
    - usr/sbin/mark_journal_dirty
  * debian/rules:
    - Update dh_installinit call to not restart the cluster on updates and to
      start ocfs2 very early in the boot process.
    - Added --fail-missing to dh_install for tracking down new binaries in
      future versions.
    - Added code to remove stuff from the diff.gz.
  * Added debconf infrastructure for avoiding running "/etc/init.d/o2cb
    configure". The skeleton was stolen from an Ubuntu grave. While at it, added
    Spanish translation of debconf templates.

 -- David Martínez Moreno <ender@debian.org>  Thu, 26 Jan 2006 02:10:48 +0100

ocfs2-tools (0.99.12-1) unstable; urgency=low

  * First public release.
  * Copied shamelessly a lot of the Ubuntu diff to the Debian package (thanks
    to Fabionne).
  * Changed /bin/sh to /bin/bash in the init script to avoid evident bashisms.
  * Stripped down debian/ directory from the original tarball.
  * Fixed some typos in the init.d script and in the default configuration.
    Also added to the init script some Oracle string in order to ease
    identification in the boot process.

 -- David Martínez Moreno <ender@debian.org>  Mon, 18 Jul 2005 19:01:39 +0200
